package com.zhongshu.card.client.type;

import lombok.Getter;

/**
 * 银联无感支付签约状态
 */
public enum ContractState {

    APPLY("初始状态（待银行通知或主动查询）"),

    UNSIGNED("未签约"),

    SIGNED("已签约"),

    RESCISSION("已解约"),

    DELETING_CONTRACT("解约中"),

    UNKNOWN("未知"),
    ;


    @Getter
    private String remark;

    ContractState(String remark) {
        this.remark = remark;
    }
}
